#ifndef CAPTURE_HH
#define CAPTURE_HH

struct buffer
{
  void *start;
  size_t length;
};

class Capture
{
public:
  Capture(int width, int height);
  ~Capture();
  int init();
  void start_capture_user_ptr();
  void start_capture();
  void read_frame();
  uint8_t *get_image() { return image; }

private:
  int fd;
  int streaming;
  uint8_t *image;
  int width,height;
  struct buffer buffers;
};

#endif

