#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/fl_draw.H>

#include "VideoWindow.h"

VideoWindow::VideoWindow(int width, int height, uint8_t *buffer, const char *s)
  :Fl_Window(width, height, s)
{
  diff_buffer = buffer;
}

void VideoWindow::draw()
{
  //Fl_Window::draw();
  fl_draw_image(diff_buffer, 0, 0, VIDEO_WIDTH, VIDEO_HEIGHT);
}


