#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <sys/mman.h>
#include <asm/types.h>
#include <linux/videodev2.h>
#include <sys/ioctl.h>

#include "Brain.h"
#include "Capture.h"

int main(int argc, char *argv[])
{
  Brain *brain = new Brain(640, 480);
  Capture *capture = new Capture(640, 480);

  capture->init();

  while(1)
  {
    usleep(30000);
    capture->read_frame();
    brain->process(capture->get_image());
  }

  return 0;
}


